Loading...
Searching...
No Matches
XrdAccAccess_Tables Struct Reference

`#include <XrdAccAccess.hh>`

Collaboration diagram for XrdAccAccess_Tables:

## Public Member Functions

| XrdAccAccess_Tables ()
| ~XrdAccAccess_Tables ()

## Public Attributes

XrdAccCapName * | D_List
XrdAccCapName * | E_List
XrdOucHash< XrdAccCapability > * | G_Hash
XrdOucHash< XrdAccCapability > * | H_Hash
XrdOucHash< XrdAccCapability > * | N_Hash
XrdOucHash< XrdAccCapability > * | O_Hash
XrdOucHash< XrdAccCapability > * | R_Hash
XrdOucHash< XrdAccAccess_ID > * | S_Hash
XrdAccAccess_ID * | SXList
XrdAccAccess_ID * | SYList
XrdOucHash< XrdAccCapability > * | T_Hash
XrdOucHash< XrdAccCapability > * | U_Hash
XrdAccCapability * | X_List
XrdAccCapability * | Z_List

## Detailed Description

Definition at line 85 of file XrdAccAccess.hh.

## Constructor & Destructor Documentation

## XrdAccAccess_Tables()

XrdAccAccess_Tables::XrdAccAccess_Tables | ( |  | ) |

inline

Definition at line 101 of file XrdAccAccess.hh.

{G_Hash = 0; H_Hash = 0; N_Hash = 0;
O_Hash = 0; R_Hash = 0;
S_Hash = 0; T_Hash = 0; U_Hash = 0;
D_List = 0; E_List = 0;
X_List = 0; Z_List = 0;
SXList = 0; SYList = 0;
}
XrdAccAccess_Tables::U_Hash
XrdOucHash< XrdAccCapability > * U_Hash
Definition XrdAccAccess.hh:93
XrdAccAccess_Tables::G_Hash
XrdOucHash< XrdAccCapability > * G_Hash
Definition XrdAccAccess.hh:86
XrdAccAccess_Tables::E_List
XrdAccCapName * E_List
Definition XrdAccAccess.hh:95
XrdAccAccess_Tables::N_Hash
XrdOucHash< XrdAccCapability > * N_Hash
Definition XrdAccAccess.hh:88
XrdAccAccess_Tables::X_List
XrdAccCapability * X_List
Definition XrdAccAccess.hh:96
XrdAccAccess_Tables::SXList
XrdAccAccess_ID * SXList
Definition XrdAccAccess.hh:98
XrdAccAccess_Tables::Z_List
XrdAccCapability * Z_List
Definition XrdAccAccess.hh:97
XrdAccAccess_Tables::T_Hash
XrdOucHash< XrdAccCapability > * T_Hash
Definition XrdAccAccess.hh:92
XrdAccAccess_Tables::O_Hash
XrdOucHash< XrdAccCapability > * O_Hash
Definition XrdAccAccess.hh:89
XrdAccAccess_Tables::D_List
XrdAccCapName * D_List
Definition XrdAccAccess.hh:94
XrdAccAccess_Tables::H_Hash
XrdOucHash< XrdAccCapability > * H_Hash
Definition XrdAccAccess.hh:87
XrdAccAccess_Tables::S_Hash
XrdOucHash< XrdAccAccess_ID > * S_Hash
Definition XrdAccAccess.hh:91
XrdAccAccess_Tables::R_Hash
XrdOucHash< XrdAccCapability > * R_Hash
Definition XrdAccAccess.hh:90
XrdAccAccess_Tables::SYList
XrdAccAccess_ID * SYList
Definition XrdAccAccess.hh:99

References D_List, E_List, G_Hash, H_Hash, N_Hash, O_Hash, R_Hash, S_Hash, SXList, SYList, T_Hash, U_Hash, X_List, and Z_List.

## ~XrdAccAccess_Tables()

XrdAccAccess_Tables::~XrdAccAccess_Tables | ( |  | ) |

inline

Definition at line 108 of file XrdAccAccess.hh.

{if (G_Hash) delete G_Hash;
if (H_Hash) delete H_Hash;
if (N_Hash) delete N_Hash;
if (O_Hash) delete O_Hash;
if (R_Hash) delete R_Hash;
if (S_Hash) delete S_Hash; //Deletes SX & SYList
if (T_Hash) delete T_Hash;
if (U_Hash) delete U_Hash;
if (X_List) delete X_List;
if (Z_List) delete Z_List;
}

References G_Hash, H_Hash, N_Hash, O_Hash, R_Hash, S_Hash, T_Hash, U_Hash, X_List, and Z_List.

## Member Data Documentation

## D_List

XrdAccCapName* XrdAccAccess_Tables::D_List

Definition at line 94 of file XrdAccAccess.hh.

Referenced by XrdAccAccess_Tables(), and XrdAccAccess::SwapTabs().

## E_List

XrdAccCapName* XrdAccAccess_Tables::E_List

Definition at line 95 of file XrdAccAccess.hh.

Referenced by XrdAccAccess_Tables().

## G_Hash

XrdOucHash<XrdAccCapability>* XrdAccAccess_Tables::G_Hash

Definition at line 86 of file XrdAccAccess.hh.

Referenced by XrdAccAccess_Tables(), ~XrdAccAccess_Tables(), and XrdAccConfig::ConfigDB().

## H_Hash

XrdOucHash<XrdAccCapability>* XrdAccAccess_Tables::H_Hash

Definition at line 87 of file XrdAccAccess.hh.

Referenced by XrdAccAccess_Tables(), ~XrdAccAccess_Tables(), XrdAccConfig::ConfigDB(), and XrdAccAccess::SwapTabs().

## N_Hash

XrdOucHash<XrdAccCapability>* XrdAccAccess_Tables::N_Hash

Definition at line 88 of file XrdAccAccess.hh.

Referenced by XrdAccAccess_Tables(), ~XrdAccAccess_Tables(), XrdAccConfig::ConfigDB(), and XrdAccAccess::SwapTabs().

## O_Hash

XrdOucHash<XrdAccCapability>* XrdAccAccess_Tables::O_Hash

Definition at line 89 of file XrdAccAccess.hh.

Referenced by XrdAccAccess_Tables(), ~XrdAccAccess_Tables(), and XrdAccConfig::ConfigDB().

## R_Hash

XrdOucHash<XrdAccCapability>* XrdAccAccess_Tables::R_Hash

Definition at line 90 of file XrdAccAccess.hh.

Referenced by XrdAccAccess_Tables(), ~XrdAccAccess_Tables(), and XrdAccConfig::ConfigDB().

## S_Hash

XrdOucHash<XrdAccAccess_ID>* XrdAccAccess_Tables::S_Hash

Definition at line 91 of file XrdAccAccess.hh.

Referenced by XrdAccAccess_Tables(), and ~XrdAccAccess_Tables().

## SXList

XrdAccAccess_ID* XrdAccAccess_Tables::SXList

Definition at line 98 of file XrdAccAccess.hh.

Referenced by XrdAccAccess_Tables(), and XrdAccAccess::SwapTabs().

## SYList

XrdAccAccess_ID* XrdAccAccess_Tables::SYList

Definition at line 99 of file XrdAccAccess.hh.

Referenced by XrdAccAccess_Tables(), XrdAccConfig::ConfigDB(), and XrdAccAccess::SwapTabs().

## T_Hash

XrdOucHash<XrdAccCapability>* XrdAccAccess_Tables::T_Hash

Definition at line 92 of file XrdAccAccess.hh.

Referenced by XrdAccAccess_Tables(), ~XrdAccAccess_Tables(), and XrdAccConfig::ConfigDB().

## U_Hash

XrdOucHash<XrdAccCapability>* XrdAccAccess_Tables::U_Hash

Definition at line 93 of file XrdAccAccess.hh.

Referenced by XrdAccAccess_Tables(), ~XrdAccAccess_Tables(), and XrdAccConfig::ConfigDB().

## X_List

XrdAccCapability* XrdAccAccess_Tables::X_List

Definition at line 96 of file XrdAccAccess.hh.

Referenced by XrdAccAccess_Tables(), and ~XrdAccAccess_Tables().

## Z_List

XrdAccCapability* XrdAccAccess_Tables::Z_List

Definition at line 97 of file XrdAccAccess.hh.

Referenced by XrdAccAccess_Tables(), and ~XrdAccAccess_Tables().

The documentation for this struct was generated from the following file:

- XrdAccAccess.hh